package com.gci.boot.modules.basedata.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gci.boot.modules.basedata.entity.TbCustomerArchives;

import java.util.List;

public interface ITbCustomerArchivesService extends IService<TbCustomerArchives> {

    /**
     * 校验 全称、简称不能重复
     * @param archives
     * @return
     */
    boolean check(TbCustomerArchives archives);

    /**
     * 根据账号名查询所属客户（客户或司机身份下），如果不是客户或司机身份，返回为空
     * @param userId
     * @return
     */
    String getCustomerByUserId(String userId);

    /**
     * 校验编辑后的departCode是否在客户表用过（客户的depart不可重复）
     * @param deparCode
     * @return
     */
    boolean checkDuplicateDepart(String deparCode,String customerId);

    TbCustomerArchives getByProjectId(String projectId);
}
